# JSDoc: Class: NoteRevision

# Class: NoteRevision

## NoteRevision()

NoteRevision represents snapshot of note's title and content at some point in the past. It's used for seamless note versioning.

## Constructor

#### new NoteRevision()

Source:
  - becca/entities/note_revision.js, line 15

### Members

#### contentLength :number

##### Type:

- number

Source:
  - becca/entities/note_revision.js, line 46

#### dateCreated :string

##### Type:

- string

Source:
  - becca/entities/note_revision.js, line 38

#### dateLastEdited :string

##### Type:

- string

Source:
  - becca/entities/note_revision.js, line 36

#### isProtected :boolean

##### Type:

- boolean

Source:
  - becca/entities/note_revision.js, line 32

#### mime :string

##### Type:

- string

Source:
  - becca/entities/note_revision.js, line 30

#### noteId :string

##### Type:

- string

Source:
  - becca/entities/note_revision.js, line 26

#### noteRevisionId :string

##### Type:

- string

Source:
  - becca/entities/note_revision.js, line 24

#### title :string

##### Type:

- string

Source:
  - becca/entities/note_revision.js, line 34

#### type :string

##### Type:

- string

Source:
  - becca/entities/note_revision.js, line 28

#### utcDateCreated :string

##### Type:

- string

Source:
  - becca/entities/note_revision.js, line 42

#### utcDateLastEdited :string

##### Type:

- string

Source:
  - becca/entities/note_revision.js, line 40

#### utcDateModified :string

##### Type:

- string

Source:
  - becca/entities/note_revision.js, line 44

### Methods

#### getContent() → {*}

Source:
  - becca/entities/note_revision.js, line 77

##### Returns:

Type
  *

#### getContentMetadata() → {Object}

Source:
  - becca/entities/note_revision.js, line 141

##### Returns:

Type
  Object

#### isStringNote() → {boolean}

Source:
  - becca/entities/note_revision.js, line 63

##### Returns:

true if the note has string content (not binary)

Type
  boolean